Bug 694958 - Error message about failing to create /var/run/mdadm
Error message about failing to create /var/run/mdadm
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-04-09 02:51 EDT by cam
Modified: 2011-07-14 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-14 19:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cam 2011-04-09 02:51:46 EDT
Description of problem:
Running Fedora 15 Beta RC1 live cd for i686, it boots but there is an ugly non-graphical screen that appears at startup with an error message about failing to create /var/run/mdadm

Version-Release number of selected component (if applicable):
mdadm in F15 beta RC1 livecd for i686

How reproducible:
100% (seen 2/2 times)

Steps to Reproduce:
1.boot F15 i686 beta RC1 live cd from usb
Actual results:
Error message

Expected results:
No errors

Additional info:
Comment 1 cam 2011-04-09 05:19:04 EDT
I just tested F15 Beta RC2 livecd i686 and the message is different, longer. There is still a non-graphical stage at the end of boot before login.
Comment 2 Piscium 2011-04-09 07:49:05 EDT
Possible related issue, though different.

I downloaded nightly build Fedora-15-Nightly-20110407.23-i686-Live-xfce.iso, put it on a USB stick with Fedora liveusb-creator.

Booted off it, things seemed to go well, Plymouth showed the Fedora logo over the light blue background, and the logo slowly filling. After the logo was full nothing happened. Half an hour after boot started I decided to call it quits. I pressed the right arrow key on the keyboard and got this message:

"In: failed to create symbolic link '/var/run/mdadm': No such file or directory."

I had to press the power switch to reboot.
Comment 3 Adam Williamson 2011-04-10 16:40:02 EDT
The message about /var/run/mdadm is not very significant; it occurs on all boots, successful or otherwise. If you are seeing some more significant issue and that's what you're worried about - on the mailing list you mentioned not being able to install - please adjust the bug with details on that problem, or file a new bug.
Comment 4 Piscium 2011-04-10 16:52:01 EDT
OK, I don't mind filing a new bug, but if it is not about mdadm I have no clue what it is about.

I still have the image in the USB stick so I can try to install it again. As I described previously, Anaconda just seems to hang somewhere.

Is there a way I could get some debugging information from Anaconda in order to file a proper bug report? Or is there a way to disable Plymouth during Anaconda install so that I can see where it stops?
Comment 5 Adam Williamson 2011-04-10 17:08:47 EDT
I don't know why you're talking about anaconda when you're booting a live CD, it is not involved at all.

to see what's happening during boot on a live image, edit the boot parameters and take out 'rhgb quiet'.
Comment 6 Piscium 2011-04-10 17:48:42 EDT
Yes, you are right about Anaconda, my mistake.

So I booted with 'rhgb quiet' removed as you suggested.

The very last line before it hang was:
"Adding live user"

But before that there were a number of failures seemingly due to SELinux blocking different actions.

For example, just before it stopped there were 6 lines like this:
type=1400 audit(....):avc:denied {read} for pid=.... comm="mount" name="run" dev=dm-0 ino=1073 scontext=system_u:system_r:mount_t:s0 tcontext:system_u:object_r:var_t:s0 tclass=linkFile

However the very *first* thing that failed due to SELinux blocking was:
Start Recreate Volatile Files and Directories failed, see 'systemctl status systemd-tmpfiles-setup.services' for details.

There were more actions blocked by SELinux in between those that I am not listing here.

Which module do you think this bug should be filed against?
Comment 7 Adam Williamson 2011-04-10 18:00:40 EDT
I just noted you're on a nightly. Don't file a bug, this is known. The nightlies don't have all the latest fixes that are in Beta RC2. Use that instead.
Comment 8 Piscium 2011-04-10 18:16:19 EDT
Good to know this has been fixed. So my issue is no more (there is still the issue of the original reporter).

Comment 9 cam 2011-04-10 18:24:56 EDT
(In reply to comment #8)

Yes... I think the ugly non graphical screen gives a poor impression at startup. It would not put a reviewer in a good frame of mind.
Comment 10 Doug Ledford 2011-07-14 19:57:19 EDT
The original problem should have been fixed already.  If not, then please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.